<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:32 GMT 2020 -->
<title>N-Index</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="N-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-11.html">Prev Letter</a></li>
<li><a href="index-13.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-12.html" target="_top">Frames</a></li>
<li><a href="index-12.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a name="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><span class="memberNameLink"><a href="../Game/Game.html#name">name</a></span> - Variable in class Game.<a href="../Game/Game.html" title="class in Game">Game</a></dt>
<dd>
<div class="block">Name of the game</div>
</dd>
<dt><a href="../Graph/NetworkADT.html" title="interface in Graph"><span class="typeNameLink">NetworkADT</span></a>&lt;<a href="../Graph/NetworkADT.html" title="type parameter in NetworkADT">T</a>&gt; - Interface in <a href="../Graph/package-summary.html">Graph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayList.arrayListIterator.html#next--">next()</a></span> - Method in class ArrayListPackage.<a href="../ArrayListPackage/ArrayList.arrayListIterator.html" title="class in ArrayListPackage">ArrayList.arrayListIterator</a></dt>
<dd>
<div class="block">Returns the current element and updates it to the next one</div>
</dd>
<dt><span class="memberNameLink"><a href="../QueuePackage/LinearNode.html#next">next</a></span> - Variable in class QueuePackage.<a href="../QueuePackage/LinearNode.html" title="class in QueuePackage">LinearNode</a></dt>
<dd>
<div class="block">reference to next node in list</div>
</dd>
<dt><span class="memberNameLink"><a href="../StackPackage/LinearNode.html#next">next</a></span> - Variable in class StackPackage.<a href="../StackPackage/LinearNode.html" title="class in StackPackage">LinearNode</a></dt>
<dd>
<div class="block">reference to next node in list</div>
</dd>
<dt><a href="../Exceptions/NotComparableException.html" title="class in Exceptions"><span class="typeNameLink">NotComparableException</span></a> - Exception in <a href="../Exceptions/package-summary.html">Exceptions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Exceptions/NotComparableException.html#NotComparableException--">NotComparableException()</a></span> - Constructor for exception Exceptions.<a href="../Exceptions/NotComparableException.html" title="class in Exceptions">NotComparableException</a></dt>
<dd>
<div class="block">Creates a new instance of <code>NotComparableException</code> without
 detail message.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Exceptions/NotComparableException.html#NotComparableException-java.lang.String-">NotComparableException(String)</a></span> - Constructor for exception Exceptions.<a href="../Exceptions/NotComparableException.html" title="class in Exceptions">NotComparableException</a></dt>
<dd>
<div class="block">Constructs an instance of <code>NotComparableException</code> with the
 specified detail message.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/BinaryTreeNode.html#numChildren--">numChildren()</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/BinaryTreeNode.html" title="class in LinkedHeapPackage">BinaryTreeNode</a></dt>
<dd>
<div class="block">Returns the number of non-null children of this node.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#numVertices">numVertices</a></span> - Variable in class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-11.html">Prev Letter</a></li>
<li><a href="index-13.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-12.html" target="_top">Frames</a></li>
<li><a href="index-12.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
